petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatGetRowMin

Gets the minimum value (of the real part) of each row of the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetRowMin(Mat mat,Vec v,PetscInt idx[])

Logically Collective on Mat and Vec

### Input Parameters

mat -the matrix

### Output Parameter

| v | - the vector for storing the maximums
| idx | - the indices of the column found for each row (optional)

Notes: The result of this call are the same as if one converted the matrix to dense format and found the minimum value in each row (i.e. the implicit zeros are counted as zeros).

This code is only implemented for a couple of matrix formats.

### See Also

MatGetDiagonal(), MatGetSubMatrices(), MatGetSubmatrix(), MatGetRowMaxAbs(),
MatGetRowMax()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages